MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026500Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-07-31 10:522016-04-20 15:48
Reporterstv 
Assigned Toski 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026500: Add the possibility to save only part of shapes from XCAF document in IGES/STEP writers
DescriptionIGES/STEP writers (classes IGESCAFControl_Writer and STEPCAFControl_Writer) haven't public methods Transfer which allow to transfer only part of XCAF document (several labels) into saved model.
Steps To ReproduceSeveral overloaded "Transfer" methods were added.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0026657closedbugmaster Open CASCADE Data Exchange - IGES/STEP OCAF writers should keep hierarchy and colors when saving non-root elements 

-  Notes
(0043733)
git (administrator)
2015-07-31 12:13

Branch CR26500 has been created by stv.

SHA-1: ad433f0f920808a96174cb9d7ee176620bc68129


Detailed log of new commits:

Author: stv
Date: Fri Jul 31 10:58:31 2015 +0300

    0026500: Add the possibility to save only part of shapes from XCAF document in IGES/STEP writers

Author: stv
Date: Thu Jul 30 17:56:05 2015 +0300

    Added public methods for specified labels (shapes) transfer in IGES/STEP writers.
(0043934)
gka (developer)
2015-08-10 12:35

Branch CR26500 is ready to test
(0043937)
git (administrator)
2015-08-10 14:48

Branch CR26500 has been updated forcibly by mkv.

SHA-1: e6e04507a95da9e9e086b6e5fcfbb45f898d42df
(0043989)
mkv (tester)
2015-08-11 17:49

Dear BugMaster,
Branch CR26500 was rebased on current master of occt git-repository.
SHA-1: e6e04507a95da9e9e086b6e5fcfbb45f898d42df
(0043990)
mkv (tester)
2015-08-11 17:50

Dear BugMaster,
Branch CR26500 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e6e04507a95da9e9e086b6e5fcfbb45f898d42df

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91357432 / 91016327 [+0.37%]
Total CPU difference: 17873.189999998907 / 17853.87999999889 [+0.11%]
products component :
Total MEMORY difference: 24891886 / 24839770 [+0.21%]
Total CPU difference: 6920.339999999973 / 7006.500000000006 [-1.23%]

Testing on Windows:
occt component :
Total MEMORY difference: 56903152 / 56926406 [-0.04%]
Total CPU difference: 16927.091306299386 / 16688.082174199026 [+1.43%]
products component :
Total MEMORY difference: 16006610 / 16013849 [-0.05%]
Total CPU difference: 5269.432978199954 / 5275.751018699962 [-0.12%]

There are no differences in images found by testdiff.
(0044117)
git (administrator)
2015-08-14 10:51

Branch CR26500 has been deleted by inv.

SHA-1: e6e04507a95da9e9e086b6e5fcfbb45f898d42df

- Related Changesets
occt: master 1b44ab4b
Timestamp: 2015-08-13 08:11:07
Author: stv
Committer: ski
Details ] Diff ]
0026500: Add the possibility to save only part of shapes from XCAF document in IGES/STEP writers

Added public methods for specified labels (shapes) transfer in IGES/STEP writers.
mod - src/IGESCAFControl/IGESCAFControl_Writer.cxx Diff ] File ]
mod - src/IGESCAFControl/IGESCAFControl_Writer.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-31 10:52 stv New Issue
2015-07-31 10:52 stv Assigned To => bugmaster
2015-07-31 11:18 kgv Relationship added child of 0026501
2015-07-31 11:19 kgv Assigned To bugmaster => gka
2015-07-31 11:19 kgv Product Version Unscheduled =>
2015-07-31 11:19 kgv Assigned To gka => stv
2015-07-31 11:19 kgv Status new => assigned
2015-07-31 12:13 git Note Added: 0043733
2015-07-31 12:16 stv Assigned To stv => gka
2015-07-31 12:16 stv Status assigned => resolved
2015-07-31 12:16 stv Steps to Reproduce Updated View Revisions
2015-08-10 12:35 gka Note Added: 0043934
2015-08-10 12:35 gka Assigned To gka => bugmaster
2015-08-10 12:35 gka Status resolved => reviewed
2015-08-10 14:25 mkv Assigned To bugmaster => mkv
2015-08-10 14:48 git Note Added: 0043937
2015-08-11 17:49 mkv Note Added: 0043989
2015-08-11 17:50 mkv Note Added: 0043990
2015-08-11 17:50 mkv Assigned To mkv => bugmaster
2015-08-11 17:50 mkv Status reviewed => tested
2015-08-11 17:50 mkv Test case number => Not needed
2015-08-14 10:26 ski Changeset attached => occt master 1b44ab4b
2015-08-14 10:26 ski Assigned To bugmaster => ski
2015-08-14 10:26 ski Status tested => verified
2015-08-14 10:26 ski Resolution open => fixed
2015-08-14 10:51 git Note Added: 0044117
2015-09-07 17:30 kgv Relationship added parent of 0026657
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker